
Foreman - Bug #4370

RBAC UI - filters list does not show enough detail

02/17/2014 10:43 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Web Interface   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Visiting the filters list for "Viewer" shows a list:

role https://localhost:3000/filters?role_id=5

Search    Resource    Unlimited

none    Architecture    Toggle_check    Edit

none    Audit    Toggle_check    Edit

No where is it shown what the actual filter is. Instead one mustclick each entry in the first column to see the filter is, for example,

"view_architectures". Some better mechanism for examining roles is very much needed.

Related issues:

Blocks Foreman - Tracker #4552: New permissions/authorization system issues New

Associated revisions

Revision 46da92f0 - 05/01/2014 04:19 PM - Daniel Lobato Garcia

Fixes #4370 - Filters list show permissions

Revision 4b20b7c4 - 05/07/2014 11:55 AM - Daniel Lobato Garcia

Fixes #4370 - Filters list show permissions

(cherry picked from commit 46da92f0cac25391c1c76599ef19edf38684b9d5)

History

#1 - 02/18/2014 07:15 AM - Marek Hulán

Note that "view_architectures" is permission and a particular filter can have more of them. In case of host, it can be up to 13 permissions.

#2 - 03/03/2014 01:24 PM - Anonymous

- Target version set to 1.9.0

#3 - 03/05/2014 11:05 AM - Dominic Cleal

- Blocks Tracker #4552: New permissions/authorization system issues added

#4 - 03/26/2014 01:20 PM - Daniel Lobato Garcia

- Assignee set to Daniel Lobato Garcia

#5 - 03/26/2014 01:31 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#6 - 04/01/2014 09:45 AM - Daniel Lobato Garcia

- Status changed from New to Ready For Testing

05/11/2024 1/2

https://localhost:3000/filters?role_id=5


https://github.com/theforeman/foreman/pull/1343

#7 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#8 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.3 to 1.8.4

#9 - 04/24/2014 10:24 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#10 - 05/01/2014 04:19 PM - Dominic Cleal

- translation missing: en.field_release set to 4

#11 - 05/01/2014 04:31 PM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 46da92f0cac25391c1c76599ef19edf38684b9d5.
